rpld(1)

NAME

rpld - RoarAudio PlayList Daemon

SYNOPSIS

rpld [OPTIONS]

DESCRIPTION

The RoarAudio PlayList Daemon is a daemon which manages playlists and can play files or streams from those lists using a RoarAudio Sound Server.

MISC OPTIONS

-h --help
    Show a small help.

--daemon
    Daemonize (go into background).

--watchdog
    Start watchdog. This will automatically terminate the daemon if it stops responding.

--server SERVER
    Set default server to the RoarAudio server (e.g. roard) at SERVER.

--server-queue SERV
    The server to use for the Main Queue. Normally --server should be used.

--server-info SERV
    Copies the serverinfo data from the given server. Use +default as server to use the data from the default server. The following data is copied from the server: location, description, contact, serial and uiurl.

--pidfile PIDFILE
    Write a pidfile at PIDFILE.

--histsize NUM
    Set size of the default history playlist to NUM entrys. This may be overwritten by restoring a store. The special value of "default" can be used to not alter the value. This may be used by init scripts to keep the default.

--location  LOC
    Sets lion-readable location of server. Examples: livingroom, room 32

--description  DESC
    Sets lion-readable description of server. Examples: Stereo, UKW Transmitter

--contact CONTACT
    Sets contact information for the server.

--serial SERIAL
    Sets the serial number for this device or server. This is normally only used by embedded systems.

--uiurl UIURL
    Sets the URL of the user interface for this device or server. This is normally only used by embedded systems. It is common to set this to a URL of type HTTP but all protocols are considered valid. This includes ssh, telnet and others.

--plugin-load PLUGIN
    Load plugin PLUGIN.

--plugin-args ARGS
    Set the plugin arguments for the plugin loaded next to ARGS. This must always be used before --plugin-load.

SECURITY OPTIONS

--user    USER
    Sets UID to USER.

--group   GROUP
    Sets GID to GROUP.

--allow-running-as-root
    Allow one to run as root. This is a bad thing to do. Do never set this option. This will open very bad security holes!

STORE OPTIONS

--restore
    Restore state from store.

--no-restore
    Do not restore state from store.

--auto-restore
    will restore old state if possible. This is a non-fatal version of --restore.

--store
    Store state on exit.

--no-store
    Do not store state on exit.

--store-path DIR
    Location where to store/restore from/to.

PLAYBACK OPTIONS

--play
    Start in playling state.

--stopped
    Start in stopped state (default).

--no-default-queue
    Do not create a default queue. If set and no store is loaded or the loaded store does not contain any queues itself rpld will not connect to any RoarAudio server at startup at all. This is mainly for debuggung and testing.

--role ROLE
    Set role for streams (default: music). The special value of "default" can be used to use the default.

--codec-helper-rate RATE
    Set the sample rate the codec helper uses as it's output format.

--codec-helper-bits BITS
    Set the number of bits the codec helper uses as it's output format.

--codec-helper-channels CHANNELS
    Set the number of channels the codec helper uses as it's output format.

--codec-helper-codec CODEC
    Set the codec the codec helper uses as it's output format.

PLAYLIST OPTIONS

--playlist-import PLAYLIST TYPE FILE
    Load playlist PLAYLIST of type TYPE from file FILE. The playlist is created if it does not exist.

--playlist-export PLAYLIST TYPE FILE
    save playlist PLAYLIST to file FILE in format TYPE.

--load-playlist PLAYLIST TYPE FILE
    The old name of --playlist-import. Should not be used.

NETWORK OPTIONS

--tcp
    Listen on TCP Socket.

--unix
    Listen on UNIX Socket.

--decnet
    Listen on DECnet Socket.

--port PORT
    Listen on port PORT. This is only useful for TCP listen sockets.

--bind ADDR
    Listen on address ADDR.

--proto PROTO
    Set protocol of listen socket.

--acclev LEV
    Sets the accesslevel for this socket to LEV.

--new-sock
    Opens an additional listen socket.

--slp
    Enable OpenSLP support.

--no-listen
    Do not add a default listening socket. This option is in general not very useful for any user. It is only useful for specal tests and with --client-fh.

--client-fh FH
    Added a client at the given FH to rpld. This option is in general not very useful for any user.

--close-fh FH
    This closes a given FH at startup time. This option is in general not very useful for any user.

CODEC OPTIONS

--bl-codec CODEC
    Use helper for codec CODEC.

SEE ALSO
roartips(7), libroar(7), RoarAudio(7).

HISTORY

For history information see RoarAudio(7).